# Interface IDebugCommandRequest

All Superinterfaces:
  `IRequest`

All Known Subinterfaces:
  `IEnabledStateRequest`

public interface IDebugCommandRequest extends IRequest
A request to execute a command on specific elements. A debug command request is passed to a `IDebugCommandHandler` when a command is invoked.

Clients that invoke command handlers may implement this interface.

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getElements()`
Returns the elements to execute a command on.

### Methods inherited from interface IRequest

`cancel, done, getStatus, isCanceled, setStatus`

## Method Details

### getElements

Object[] getElements()
Returns the elements to execute a command on.

Returns:
  elements to execute a command on